List metric watches on an artifact
GET
/v1/metric-watch
const url = 'https://shareout.site/v1/metric-watch?artifact_id=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shareout.site/v1/metric-watch?artifact_id=example' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” artifact_id
required
string
Responses
Section titled “ Responses ”Watches for the artifact
Media type application/json
object
watches
Array
object
artifact_id
required
string
table
required
string
kind
required
string
column
Required for sum and last.
string
threshold_pct
Alert when value moves ±this percent from baseline.
number
id
string
workspace_id
string
table_name
string
metric_kind
string
column_name
string
last_value
number
enabled
boolean
created_at
integer
Example
{ "watches": [ { "kind": "count", "threshold_pct": 20 } ]}Authentication required
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}